DF(1)

NOME
df - relata o espaço de disco usado pelo sistema de arquivo

SINOPSE
df [opções] [arquivo...]

Opções POSIX: [-kP]

Opções GNU (forma reduzida): [-ahHiklmPv] [-t fstype] [-x fstype] [--block-size=tamanho] [--print-type] [--no-sync] [--sync] [--help] [--version] [--]

DESCRIÇÃO
df relata a quantia do espaço de disco usado e disponível no sistema de arquivos.

Sem argumentos, df relata o espaço usado e disponível em todos sistemas de arquivos atualmente montados (de todos os tipos). De outra forma, df relata para cada argumento, do sistema de arquivos, arquivo.

DETALHES POSIX
A saída padrão é em unidades de 512 bytes, mas pode ser em 1024 bytes quando a opção -k é fornecida. O formato de saída é indefinido, a não ser que a opção -P seja fornecida. Se arquivo não é um arquivo regular, é um diretório ou um FIFO, o resultado não é específico.

DETALHES GNU
A saída padrão é em unidades de 1024 bytes (quando nenhuma unidade é especificada por opções), a menos que a variável de ambiente POSIXLY_CORRECT seja selecionada, no caso que o POSIX é seguido.

Se um argumento arquivo é um arquivo de dispositivo de disco contendo um sistema de arquivo montado, df mostra o espaço disponível naquele sistema de arquivo preferencialmente do que no sistema de arquivos que contém o nó do dispositivo.

OPÇÕES POSIX

-k  Usa unidades de 1024 bytes ao invês do padrão de unidades de 512 bytes.

-P  Saída em seis colunas, com o cabeçalho 'Sistema de Arquivo N-blocos Uso Disponível Capacidade Montado em' (com N-512, mas N=1024 quando a opção -k é fornecida).

OPÇÕES GNU

-a, --all
    Inclui no sistema de arquivo listado o que tem um tamanho de 0 blocos, que são omitidos por padrão. Tal sistema de arquivos são tipicamente de propósitos especiais falsos sistemas de arquivos, assim com as entradas de auto-montagem. Além disso, sistema de arquivo do tipo "ignore" ou "auto", apoiado por muitos sistemas operacionais, são incluídos somente se esta opção é especificada.

--block-size=tamanho
    Imprime o tamanho em blocos de tamanho bytes. (Novo, mas descontinuado, no Utilitários de Aquivo 4.0.)

-h, --human-readable
    Anexa o rótulo de tamanho como M para binários de megabytes ('mebibytes') para cada tamanho.

-H, --si
    Faça igual para a opção -h, mas use o unidade oficial do SI (com potência de 1000 ao invês de 1024, assim M representa 1000000 ao invês de 1048576). (Novo no Utilitários de Arquivo 4.0.)

-i, --inodes
    Lista a informação de uso dos inodes no lugar do uso de blocos. Um inode (abreviação de index node) contém informação sobre um arquivo assim como seu proprietário, permissão, marca de tempo e localização no disco.

-k, --kilobytes
    Imprime o tamanho em blocos de 1024 bytes.

-l, --local
    Limita a saída para o sistema de arquivo local somente. (Novo no Utilitários de Arquivo 4.0.)

-m, --megabytes
    Imprime o tamanho em blocos de megabytes (1048576 bytes). Note que as quatro opções -h, -H, -k, -m são mutualmente exclusivas e somente a última delas terá efeito, por exemplo, e não é o caso que ambas as opções --si e -m são dadas o resultado no saída é (na realidade, 1000000 bytes) em megabytes. [A interpretação dos tamanhos de blocos também é influenciadas pela variável de ambiente BLOCK_SIZE, mas isto não funciona no versão do sistema de arquivo 4.0.]

--no-sync
    Não executa a chamada de sistema sync antes de adquirir qualquer dado de uso. Este modo de executar pode ser df siginificativamente rápido, mas em muitos sistemas (notavelmente SunOS) o resultado pode ser levemente errado. Este é o padrão

-P, --portability
    Usa o formato de saída POSIX exceto que as informações sobre cada sistema de arquivo é sempre mostrada em exatamente uma linha; um dispositivo montado nunca é posto por si só em uma linha. Isto significa que se o nome do dispositivo montado tem mais que 20 caracteres de tamanho (e.g., para algumas redes montadas), as colunas serão quebradas.

--sync
    Executa a chamada de sistema sync antes de adquirir qualquer dado de uso. Em muitos sistema (notadamente SunOS), fazendo isto teremos resultados mais atualizados, mas no geral esta opção faz df ficar muito lento, especialmente quando temos muitos sistemas de arquivos ou são muito ocupados.

-t tipo de sistema de arquivo, --type=tipo de sistema de arquivo
    Limita a listagem para o sistema de arquivo do tipo tipodesistemadearquivo. Multiplos tipos de sistemas de arquivos podem ser especificados fornecendo a opção -t

-T, --print-type
    Imprime cada tipo de sistema de arquivo. Os tipos fornecidos são aqueles relatados pelo sistema (e são encontrados na forma de depêndica do sistema, por exemplo lendo /etc/mtab). Veja também mount(8).

-x tipo de sistema de arquivo, --exclude-type=tipo de sistema de arquivo
    Limita a listagem para sistemas de arquivo que não o tipo de sistema de arquivo. Multiplos tipos de sistema de arquivos podem ser eliminados fornecendo multiplas opções -x

-v  Ignorada; para compatibilidade com as versões System V do df.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opçôes.

AMBIENTE
A variável POSIXLY_CORRECT determina a escolha da unidade. Se ela não esta fixada, então a variável BLOCKSIZE tem um valor iniciando com 'HUMAN', então o comportamento é como dado pela opção -h, a menos que sobreposta pelas opções -k ou -m. As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2

VEJA TANBÉM
mount(8)

NOTAS
Esta página descreve df é encontrada no pacote Utilitários de Arquivos 4.0; outras versões podem ser um pouco diferente. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)